package com.srs.stureg.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.srs.common.annotation.Excels;
import com.srs.common.core.domain.entity.SysDept;
import com.srs.comprehensive.domain.SrsMajors;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 新生报到学生注册信息对象 srs_stu_reg
 *
 * @author srs
 * @date 2023-07-24
 */
@Data
@TableName("srs_stu_reg")
public class SrsStuReg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    public String dorm;

    @TableField(exist = false)
    public String className;

    @TableField(exist = false)
    public String majorName;

    @TableField(exist = false)
    public String deptName;

    @TableField("SYD")
    public String SYD;


    @TableField("is_change_pwd")
    public String isChangePwd;

    @TableField("is_change_SJHM")
    private String isChangeSJHM;

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 学生姓名 */
    @Excel(name = "学生姓名")
    @TableField("XSXM")
    private String XSXM;

    /** 考生号 */
    @Excel(name = "考生号")
    @TableField("KSH")
    private String KSH;

    /** 身份证号 */
    @Excel(name = "身份证号")
    @TableField("SFZH")
    private String SFZH;

    /** 手机号 */
    @Excel(name = "手机号")
    @TableField("SJH")
    private String SJH;

    /** 性别 */
    @Excel(name = "性别")
    @TableField("XB")
    private String XB;

    /** 政治面貌 */
    @Excel(name = "政治面貌")
    @TableField("ZZMM")
    private String ZZMM;

    /** 民族 */
    @Excel(name = "民族")
    @TableField("MZ")
    private String MZ;

    /** 校编学号 */
    @Excel(name = "校编学号")
    @TableField("XH")
    private String XH;

    /** 学院 */
    @Excel(name = "学院")
    @TableField("XY")
    private String XY;

    /** 学院代码 */
    @Excel(name = "学院代码")
    @TableField("XYDM")
    private String XYDM;

    /** 专业 */
    @Excel(name = "专业")
    @TableField("ZY")
    private String ZY;

    /** 专业代码 */
    @Excel(name = "专业代码")
    @TableField("ZYDM")
    private String ZYDM;

    /** 班级 */
    @Excel(name = "班级")
    @TableField("BJ")
    private String BJ;

    /** 班级代码 */
    @Excel(name = "班级代码")
    @TableField("BJDM")
    private String BJDM;

    /** 毕业学校 */
    @Excel(name = "毕业学校")
    @TableField("last_school")
    private String lastSchool;

    /** 毕业学校所在地 */
    @Excel(name = "毕业学校所在地")
    @TableField("last_school_addr")
    private String lastSchoolAddr;

    /** 家庭联系人姓名 */
    @Excel(name = "家庭联系人姓名")
    @TableField("fam_name")
    private String famName;

    /** 与本人关系 */
    @Excel(name = "与本人关系")
    @TableField("fam_relation")
    private String famRelation;

    /** 家庭联系人电话 */
    @Excel(name = "家庭联系人电话")
    @TableField("fam_phone")
    private String famPhone;

    /** 家庭现居地址 */
    @Excel(name = "家庭现居地址")
    @TableField("fam_now_addr")
    private String famNowAddr;

    /** 户籍所在地 */
    @Excel(name = "户籍所在地")
    @TableField("sfz_addr")
    private String sfzAddr;

    /** 是否申请助学贷款 1：是，2：否*/
    @Excel(name = "是否申请助学贷款")
    @TableField("is_loan")
    private String isLoan;

    /** 是否申请助学贷款 1：是，0：否*/
    @Excel(name = "是否是定向生")
    @TableField("is_direction")
    private String isDirection;

    @Excel(name = "贷款编号")
    @TableField("loan_no")
    private String  loanNo;


    /** 学院id */
    private Long deptId;

    /** 专业id */
    private Long majorId;

    /** 所属班级ID */
    private Long classId;

    @Excel(name = "是否退伍复学")
    @TableField("is_retired")
    private String isRetired;
    @Excel(name = "建档立卡户")
    @TableField("is_filing")
    private String isFiling;
    @Excel(name = "是否残疾")
    @TableField("is_disability")
    private String isDisability;
    @Excel(name = "残疾说明")
    @TableField("disable_descript")
    private String disableDescript;
    /** 注册状态 */
    @Excel(name = "注册状态")
    @TableField("reg_status")
    private String regStatus;

    /** 删除标志（0代表存在 */
    @TableField("del_flag")
    private String delFlag;
    @TableField("LQZY")
    private String LQZY;
    @TableField("KLDM")
    private String KLDM;
    @TableField("PCDM")
    private String PCDM;
    @TableField("TDDW")
    private String TDDW;
//    @TableField("ZYDH")
//    private String ZYDH;
    @TableField("XZNX")
    private String XZNX;
    @TableField("KLMC")
    private String KLMC;
    @TableField("TDDWMC")
    private String TDDWMC;
    @TableField("TDCJ")
    private Double TDCJ;

    @TableField("is_smoke")
    public String isSmoke;

    @TableField("is_early")
    public String isEarly;

    @TableField("hobby")
    public String hobby;


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setXSXM(String XSXM)
    {
        this.XSXM = XSXM;
    }

    public String getXSXM()
    {
        return XSXM;
    }
    public void setKSH(String KSH)
    {
        this.KSH = KSH;
    }

    public String getKSH()
    {
        return KSH;
    }
    public void setSFZH(String SFZH)
    {
        this.SFZH = SFZH;
    }

    public String getSFZH()
    {
        return SFZH;
    }
    public void setSJH(String SJH)
    {
        this.SJH = SJH;
    }

    public String getSJH()
    {
        return SJH;
    }
    public void setXB(String XB)
    {
        this.XB = XB;
    }

    public String getXB()
    {
        return XB;
    }
    public void setZZMM(String ZZMM)
    {
        this.ZZMM = ZZMM;
    }

    public String getZZMM()
    {
        return ZZMM;
    }
    public void setMZ(String MZ)
    {
        this.MZ = MZ;
    }

    public String getMZ()
    {
        return MZ;
    }
    public void setXH(String XH)
    {
        this.XH = XH;
    }

    public String getXH()
    {
        return XH;
    }
    public void setXY(String XY)
    {
        this.XY = XY;
    }

    public String getXY()
    {
        return XY;
    }
    public void setXYDM(String XYDM)
    {
        this.XYDM = XYDM;
    }

    public String getXYDM()
    {
        return XYDM;
    }
    public void setZY(String ZY)
    {
        this.ZY = ZY;
    }

    public String getZY()
    {
        return ZY;
    }
    public void setZYDM(String ZYDM)
    {
        this.ZYDM = ZYDM;
    }

    public String getZYDM()
    {
        return ZYDM;
    }
    public void setBJ(String BJ)
    {
        this.BJ = BJ;
    }

    public String getBJ()
    {
        return BJ;
    }
    public void setBJDM(String BJDM)
    {
        this.BJDM = BJDM;
    }

    public String getBJDM()
    {
        return BJDM;
    }
    public void setLastSchool(String lastSchool)
    {
        this.lastSchool = lastSchool;
    }

    public String getLastSchool()
    {
        return lastSchool;
    }
    public void setLastSchoolAddr(String lastSchoolAddr)
    {
        this.lastSchoolAddr = lastSchoolAddr;
    }

    public String getLastSchoolAddr()
    {
        return lastSchoolAddr;
    }
    public void setFamName(String famName)
    {
        this.famName = famName;
    }

    public String getFamName()
    {
        return famName;
    }
    public void setFamRelation(String famRelation)
    {
        this.famRelation = famRelation;
    }

    public String getFamRelation()
    {
        return famRelation;
    }
    public void setFamPhone(String famPhone)
    {
        this.famPhone = famPhone;
    }

    public String getFamPhone()
    {
        return famPhone;
    }
    public void setFamNowAddr(String famNowAddr)
    {
        this.famNowAddr = famNowAddr;
    }

    public String getFamNowAddr()
    {
        return famNowAddr;
    }
    public void setSfzAddr(String sfzAddr)
    {
        this.sfzAddr = sfzAddr;
    }

    public String getSfzAddr()
    {
        return sfzAddr;
    }
    public void setRegStatus(String regStatus)
    {
        this.regStatus = regStatus;
    }

    public String getRegStatus()
    {
        return regStatus;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("XSXM", getXSXM())
            .append("KSH", getKSH())
            .append("SFZH", getSFZH())
            .append("SJH", getSJH())
            .append("XB", getXB())
            .append("ZZMM", getZZMM())
            .append("MZ", getMZ())
            .append("XH", getXH())
            .append("XY", getXY())
            .append("XYDM", getXYDM())
            .append("ZY", getZY())
            .append("ZYDM", getZYDM())
            .append("BJ", getBJ())
            .append("BJDM", getBJDM())
            .append("lastSchool", getLastSchool())
            .append("lastSchoolAddr", getLastSchoolAddr())
            .append("famName", getFamName())
            .append("famRelation", getFamRelation())
            .append("famPhone", getFamPhone())
            .append("famNowAddr", getFamNowAddr())
            .append("sfzAddr", getSfzAddr())
            .append("regStatus", getRegStatus())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }

    public String getLQZY() {
        return LQZY;
    }

    public void setLQZY(String LQZY) {
        this.LQZY = LQZY;
    }

    public String getKLDM() {
        return KLDM;
    }

    public void setKLDM(String KLDM) {
        this.KLDM = KLDM;
    }

    public String getPCDM() {
        return PCDM;
    }

    public void setPCDM(String PCDM) {
        this.PCDM = PCDM;
    }

    public String getTDDW() {
        return TDDW;
    }

    public void setTDDW(String TDDW) {
        this.TDDW = TDDW;
    }

//    public String getZYDH() {
//        return ZYDH;
//    }
//
//    public void setZYDH(String ZYDH) {
//        this.ZYDH = ZYDH;
//    }

    public String getXZNX() {
        return XZNX;
    }

    public void setXZNX(String XZNX) {
        this.XZNX = XZNX;
    }

    public String getKLMC() {
        return KLMC;
    }

    public void setKLMC(String KLMC) {
        this.KLMC = KLMC;
    }

    public String getTDDWMC() {
        return TDDWMC;
    }

    public void setTDDWMC(String TDDWMC) {
        this.TDDWMC = TDDWMC;
    }


    public Double getTDCJ() {
        return TDCJ;
    }

    public void setTDCJ(Double TDCJ) {
        this.TDCJ = TDCJ;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getMajorId() {
        return majorId;
    }

    public void setMajorId(Long majorId) {
        this.majorId = majorId;
    }

    public Long getClassId() {
        return classId;
    }

    public void setClassId(Long classId) {
        this.classId = classId;
    }
}
